﻿//  --------------------------------
//  Copyright (c) Bernard White. All rights reserved.
//  This source code is made available under the terms of the Microsoft Public License (Ms-PL)
//  http://mocklet.codeplex.com/license
//  ---------------------------------

using System.ComponentModel;
using System.Management.Automation;

namespace Mocklet
{
    [RunInstaller(true)]
    public class Snapin : PSSnapIn
    {
        /// <summary>
        /// Create an instance of the Mocklet Snapin class.
        /// </summary>
        public Snapin()
            : base()
        {

        }

        /// <summary>
        /// Specify the name of the PowerShell snap-in.
        /// </summary>
        public override string Name
        {
            get
            {
                return "Mocklet";
            }
        }

        /// <summary>
        /// Specify the vendor for the PowerShell snap-in.
        /// </summary>
        public override string Vendor
        {
            get
            {
                return "Bernard White";
            }
        }

        /// <summary>
        /// Specify the localization resource information for the vendor. 
        /// Use the format: resourceBaseName,VendorName. 
        /// </summary>
        public override string VendorResource
        {
            get
            {
                return "Mocklet,Bernard White";
            }
        }

        /// <summary>
        /// Specify a description of the PowerShell snap-in.
        /// </summary>
        public override string Description
        {
            get
            {
                return "This is a PowerShell snap-in that contains cmdlets to generate sample data.";
            }
        }

        /// <summary>
        /// Specify the localization resource information for the description. 
        /// Use the format: resourceBaseName,Description. 
        /// </summary>
        public override string DescriptionResource
        {
            get
            {
                return "GetProcPSSnapIn01,This is a PowerShell snap-in that contains cmdlets to generate sample data.";
            }
        }
    }

}
